<?php

// Global variable for table object
$seguimiento_individual3 = NULL;

//
// Table class for seguimiento_individual3
//
class cseguimiento_individual3 extends cTable {
	var $Id;
	var $Id_Registro;
	var $Codigo_Eps;
	var $Tipo_regimen;
	var $Codigo_Ips;
	var $Fecha_Confirmatorio;
	var $Escolaridad;
	var $Estado_Civil;
	var $Fecha_Nacimiento;
	var $Estadio;
	var $Primera_Carga_Viral;
	var $Numero_Carga_Viral;
	var $Fecha_Primera_Carga_Viral;
	var $CD4;
	var $Fecha_CD4;
	var $adherencia;
	var $Tratamiento_Antirretroviral;
	var $Descripcion_antirretroviral;
	var $Cambio_Esquema;
	var $Porque_No_Antirretroviral;
	var $Porque_no_adherente;
	var $Valor_ultima_cargaviral;
	var $Fecha_Ultima_Cargaviral;
	var $Estado_Final;
	var $Cambio_Municipio;
	var $Observaciones;
	var $Primer_Nombre;
	var $Segundo_Nombre;
	var $Primer_Apellido;
	var $Segundo_Apellido;
	var $Registrado_Por;
	var $Documento;
	var $Fecha_dig;
	var $CD3;
	var $CD8;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'seguimiento_individual3';
		$this->TableName = 'seguimiento_individual3';
		$this->TableType = 'TABLE';

		// Update Table
		$this->UpdateTable = "`seguimiento_individual3`";
		$this->DBID = 'DB';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->ExportExcelPageOrientation = PHPExcel_Worksheet_PageSetup::ORIENTATION_DEFAULT; // Page orientation (PHPExcel only)
		$this->ExportExcelPageSize = PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4; // Page size (PHPExcel only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->DetailView = FALSE; // Allow detail view
		$this->ShowMultipleDetails = FALSE; // Show multiple details
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row
		$this->UserIDAllowSecurity = 0; // User ID Allow
		$this->BasicSearch = new cBasicSearch($this->TableVar);

		// Id
		$this->Id = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Id', 'Id', '`Id`', '`Id`', 3, -1, FALSE, '`Id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'NO');
		$this->Id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Id'] = &$this->Id;

		// Id_Registro
		$this->Id_Registro = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Id_Registro', 'Id_Registro', '`Id_Registro`', '`Id_Registro`', 3, -1, FALSE, '`Id_Registro`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->Id_Registro->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Id_Registro'] = &$this->Id_Registro;

		// Codigo_Eps
		$this->Codigo_Eps = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Codigo_Eps', 'Codigo_Eps', '`Codigo_Eps`', '`Codigo_Eps`', 200, -1, FALSE, '`Codigo_Eps`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Codigo_Eps'] = &$this->Codigo_Eps;

		// Tipo_regimen
		$this->Tipo_regimen = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Tipo_regimen', 'Tipo_regimen', '`Tipo_regimen`', '`Tipo_regimen`', 200, -1, FALSE, '`Tipo_regimen`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->fields['Tipo_regimen'] = &$this->Tipo_regimen;

		// Codigo_Ips
		$this->Codigo_Ips = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Codigo_Ips', 'Codigo_Ips', '`Codigo_Ips`', '`Codigo_Ips`', 200, -1, FALSE, '`Codigo_Ips`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Codigo_Ips'] = &$this->Codigo_Ips;

		// Fecha_Confirmatorio
		$this->Fecha_Confirmatorio = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Fecha_Confirmatorio', 'Fecha_Confirmatorio', '`Fecha_Confirmatorio`', 'DATE_FORMAT(`Fecha_Confirmatorio`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Confirmatorio`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Confirmatorio->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Confirmatorio'] = &$this->Fecha_Confirmatorio;

		// Escolaridad
		$this->Escolaridad = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Escolaridad', 'Escolaridad', '`Escolaridad`', '`Escolaridad`', 3, -1, FALSE, '`Escolaridad`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->Escolaridad->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Escolaridad'] = &$this->Escolaridad;

		// Estado_Civil
		$this->Estado_Civil = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Estado_Civil', 'Estado_Civil', '`Estado_Civil`', '`Estado_Civil`', 3, -1, FALSE, '`Estado_Civil`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->Estado_Civil->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Estado_Civil'] = &$this->Estado_Civil;

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Fecha_Nacimiento', 'Fecha_Nacimiento', '`Fecha_Nacimiento`', 'DATE_FORMAT(`Fecha_Nacimiento`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Nacimiento`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Nacimiento->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Nacimiento'] = &$this->Fecha_Nacimiento;

		// Estadio
		$this->Estadio = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Estadio', 'Estadio', '`Estadio`', '`Estadio`', 3, -1, FALSE, '`Estadio`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->Estadio->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Estadio'] = &$this->Estadio;

		// Primera_Carga_Viral
		$this->Primera_Carga_Viral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Primera_Carga_Viral', 'Primera_Carga_Viral', '`Primera_Carga_Viral`', '`Primera_Carga_Viral`', 3, -1, FALSE, '`Primera_Carga_Viral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Primera_Carga_Viral->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Primera_Carga_Viral'] = &$this->Primera_Carga_Viral;

		// Numero_Carga Viral
		$this->Numero_Carga_Viral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Numero_Carga_Viral', 'Numero_Carga Viral', '`Numero_Carga Viral`', '`Numero_Carga Viral`', 200, -1, FALSE, '`Numero_Carga Viral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->Numero_Carga_Viral->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Numero_Carga Viral'] = &$this->Numero_Carga_Viral;

		// Fecha_Primera_Carga_Viral
		$this->Fecha_Primera_Carga_Viral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Fecha_Primera_Carga_Viral', 'Fecha_Primera_Carga_Viral', '`Fecha_Primera_Carga_Viral`', 'DATE_FORMAT(`Fecha_Primera_Carga_Viral`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Primera_Carga_Viral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Primera_Carga_Viral->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Primera_Carga_Viral'] = &$this->Fecha_Primera_Carga_Viral;

		// CD4
		$this->CD4 = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_CD4', 'CD4', '`CD4`', '`CD4`', 200, -1, FALSE, '`CD4`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->CD4->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['CD4'] = &$this->CD4;

		// Fecha_CD4
		$this->Fecha_CD4 = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Fecha_CD4', 'Fecha_CD4', '`Fecha_CD4`', 'DATE_FORMAT(`Fecha_CD4`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_CD4`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_CD4->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_CD4'] = &$this->Fecha_CD4;

		// adherencia
		$this->adherencia = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_adherencia', 'adherencia', '`adherencia`', '`adherencia`', 3, -1, FALSE, '`adherencia`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->adherencia->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['adherencia'] = &$this->adherencia;

		// Tratamiento_Antirretroviral
		$this->Tratamiento_Antirretroviral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Tratamiento_Antirretroviral', 'Tratamiento_Antirretroviral', '`Tratamiento_Antirretroviral`', '`Tratamiento_Antirretroviral`', 3, -1, FALSE, '`Tratamiento_Antirretroviral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->fields['Tratamiento_Antirretroviral'] = &$this->Tratamiento_Antirretroviral;

		// Descripcion_antirretroviral
		$this->Descripcion_antirretroviral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Descripcion_antirretroviral', 'Descripcion_antirretroviral', '`Descripcion_antirretroviral`', '`Descripcion_antirretroviral`', 200, -1, FALSE, '`Descripcion_antirretroviral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'CHECKBOX');
		$this->fields['Descripcion_antirretroviral'] = &$this->Descripcion_antirretroviral;

		// Cambio_Esquema
		$this->Cambio_Esquema = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Cambio_Esquema', 'Cambio_Esquema', '`Cambio_Esquema`', '`Cambio_Esquema`', 3, -1, FALSE, '`Cambio_Esquema`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Cambio_Esquema->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Cambio_Esquema'] = &$this->Cambio_Esquema;

		// Porque_No_Antirretroviral
		$this->Porque_No_Antirretroviral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Porque_No_Antirretroviral', 'Porque_No_Antirretroviral', '`Porque_No_Antirretroviral`', '`Porque_No_Antirretroviral`', 200, -1, FALSE, '`Porque_No_Antirretroviral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Porque_No_Antirretroviral->OptionCount = 3;
		$this->fields['Porque_No_Antirretroviral'] = &$this->Porque_No_Antirretroviral;

		// Porque_no_adherente
		$this->Porque_no_adherente = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Porque_no_adherente', 'Porque_no_adherente', '`Porque_no_adherente`', '`Porque_no_adherente`', 3, -1, FALSE, '`Porque_no_adherente`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Porque_no_adherente->OptionCount = 4;
		$this->Porque_no_adherente->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Porque_no_adherente'] = &$this->Porque_no_adherente;

		// Valor_ultima_cargaviral
		$this->Valor_ultima_cargaviral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Valor_ultima_cargaviral', 'Valor_ultima_cargaviral', '`Valor_ultima_cargaviral`', '`Valor_ultima_cargaviral`', 200, -1, FALSE, '`Valor_ultima_cargaviral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->fields['Valor_ultima_cargaviral'] = &$this->Valor_ultima_cargaviral;

		// Fecha_Ultima_Cargaviral
		$this->Fecha_Ultima_Cargaviral = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Fecha_Ultima_Cargaviral', 'Fecha_Ultima_Cargaviral', '`Fecha_Ultima_Cargaviral`', 'DATE_FORMAT(`Fecha_Ultima_Cargaviral`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Ultima_Cargaviral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Ultima_Cargaviral->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Ultima_Cargaviral'] = &$this->Fecha_Ultima_Cargaviral;

		// Estado_Final
		$this->Estado_Final = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Estado_Final', 'Estado_Final', '`Estado_Final`', '`Estado_Final`', 3, -1, FALSE, '`Estado_Final`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Estado_Final->OptionCount = 2;
		$this->Estado_Final->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Estado_Final'] = &$this->Estado_Final;

		// Cambio_Municipio
		$this->Cambio_Municipio = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Cambio_Municipio', 'Cambio_Municipio', '`Cambio_Municipio`', '`Cambio_Municipio`', 3, -1, FALSE, '`Cambio_Municipio`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Cambio_Municipio->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Cambio_Municipio'] = &$this->Cambio_Municipio;

		// Observaciones
		$this->Observaciones = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Observaciones', 'Observaciones', '`Observaciones`', '`Observaciones`', 200, -1, FALSE, '`Observaciones`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXTAREA');
		$this->fields['Observaciones'] = &$this->Observaciones;

		// Primer_Nombre
		$this->Primer_Nombre = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Primer_Nombre', 'Primer_Nombre', '`Primer_Nombre`', '`Primer_Nombre`', 200, -1, FALSE, '`Primer_Nombre`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Primer_Nombre'] = &$this->Primer_Nombre;

		// Segundo_Nombre
		$this->Segundo_Nombre = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Segundo_Nombre', 'Segundo_Nombre', '`Segundo_Nombre`', '`Segundo_Nombre`', 200, -1, FALSE, '`Segundo_Nombre`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Segundo_Nombre'] = &$this->Segundo_Nombre;

		// Primer_Apellido
		$this->Primer_Apellido = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Primer_Apellido', 'Primer_Apellido', '`Primer_Apellido`', '`Primer_Apellido`', 200, -1, FALSE, '`Primer_Apellido`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Primer_Apellido'] = &$this->Primer_Apellido;

		// Segundo_Apellido
		$this->Segundo_Apellido = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Segundo_Apellido', 'Segundo_Apellido', '`Segundo_Apellido`', '`Segundo_Apellido`', 200, -1, FALSE, '`Segundo_Apellido`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Segundo_Apellido'] = &$this->Segundo_Apellido;

		// Registrado_Por
		$this->Registrado_Por = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Registrado_Por', 'Registrado_Por', '`Registrado_Por`', '`Registrado_Por`', 200, -1, FALSE, '`Registrado_Por`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Registrado_Por->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Registrado_Por'] = &$this->Registrado_Por;

		// Documento
		$this->Documento = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Documento', 'Documento', '`Documento`', '`Documento`', 200, -1, FALSE, '`Documento`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Documento'] = &$this->Documento;

		// Fecha_dig
		$this->Fecha_dig = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_Fecha_dig', 'Fecha_dig', '`Fecha_dig`', 'DATE_FORMAT(`Fecha_dig`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_dig`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_dig->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_dig'] = &$this->Fecha_dig;

		// CD3
		$this->CD3 = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_CD3', 'CD3', '`CD3`', '`CD3`', 200, -1, FALSE, '`CD3`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->CD3->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['CD3'] = &$this->CD3;

		// CD8
		$this->CD8 = new cField('seguimiento_individual3', 'seguimiento_individual3', 'x_CD8', 'CD8', '`CD8`', '`CD8`', 200, -1, FALSE, '`CD8`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->CD8->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['CD8'] = &$this->CD8;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Current master table name
	function getCurrentMasterTable() {
		return @$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_MASTER_TABLE];
	}

	function setCurrentMasterTable($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_MASTER_TABLE] = $v;
	}

	// Session master WHERE clause
	function GetMasterFilter() {

		// Master filter
		$sMasterFilter = "";
		if ($this->getCurrentMasterTable() == "registro") {
			if ($this->Id_Registro->getSessionValue() <> "")
				$sMasterFilter .= "`Consecutivo`=" . ew_QuotedValue($this->Id_Registro->getSessionValue(), EW_DATATYPE_NUMBER, "DB");
			else
				return "";
		}
		return $sMasterFilter;
	}

	// Session detail WHERE clause
	function GetDetailFilter() {

		// Detail filter
		$sDetailFilter = "";
		if ($this->getCurrentMasterTable() == "registro") {
			if ($this->Id_Registro->getSessionValue() <> "")
				$sDetailFilter .= "`Id_Registro`=" . ew_QuotedValue($this->Id_Registro->getSessionValue(), EW_DATATYPE_NUMBER, "DB");
			else
				return "";
		}
		return $sDetailFilter;
	}

	// Master filter
	function SqlMasterFilter_registro() {
		return "`Consecutivo`=@Consecutivo@";
	}

	// Detail filter
	function SqlDetailFilter_registro() {
		return "`Id_Registro`=@Id_Registro@";
	}

	// Table level SQL
	var $_SqlFrom = "";

	function getSqlFrom() { // From
		return ($this->_SqlFrom <> "") ? $this->_SqlFrom : "`seguimiento_individual3`";
	}

	function SqlFrom() { // For backward compatibility
    	return $this->getSqlFrom();
	}

	function setSqlFrom($v) {
    	$this->_SqlFrom = $v;
	}
	var $_SqlSelect = "";

	function getSqlSelect() { // Select
		return ($this->_SqlSelect <> "") ? $this->_SqlSelect : "SELECT * FROM " . $this->getSqlFrom();
	}

	function SqlSelect() { // For backward compatibility
    	return $this->getSqlSelect();
	}

	function setSqlSelect($v) {
    	$this->_SqlSelect = $v;
	}
	var $_SqlWhere = "";

	function getSqlWhere() { // Where
		$sWhere = ($this->_SqlWhere <> "") ? $this->_SqlWhere : "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlWhere() { // For backward compatibility
    	return $this->getSqlWhere();
	}

	function setSqlWhere($v) {
    	$this->_SqlWhere = $v;
	}
	var $_SqlGroupBy = "";

	function getSqlGroupBy() { // Group By
		return ($this->_SqlGroupBy <> "") ? $this->_SqlGroupBy : "";
	}

	function SqlGroupBy() { // For backward compatibility
    	return $this->getSqlGroupBy();
	}

	function setSqlGroupBy($v) {
    	$this->_SqlGroupBy = $v;
	}
	var $_SqlHaving = "";

	function getSqlHaving() { // Having
		return ($this->_SqlHaving <> "") ? $this->_SqlHaving : "";
	}

	function SqlHaving() { // For backward compatibility
    	return $this->getSqlHaving();
	}

	function setSqlHaving($v) {
    	$this->_SqlHaving = $v;
	}
	var $_SqlOrderBy = "";

	function getSqlOrderBy() { // Order By
		return ($this->_SqlOrderBy <> "") ? $this->_SqlOrderBy : "";
	}

	function SqlOrderBy() { // For backward compatibility
    	return $this->getSqlOrderBy();
	}

	function setSqlOrderBy($v) {
    	$this->_SqlOrderBy = $v;
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		global $Security;

		// Add User ID filter
		if ($Security->CurrentUserID() <> "" && !$Security->IsAdmin()) { // Non system admin
			if ($this->getCurrentMasterTable() == "registro" || $this->getCurrentMasterTable() == "")
				$sFilter = $this->AddDetailUserIDFilter($sFilter, "registro"); // Add detail User ID filter
		}
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		$allow = EW_USER_ID_ALLOW;
		switch ($id) {
			case "add":
			case "copy":
			case "gridadd":
			case "register":
			case "addopt":
				return (($allow & 1) == 1);
			case "edit":
			case "gridedit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return (($allow & 4) == 4);
			case "delete":
				return (($allow & 2) == 2);
			case "view":
				return (($allow & 32) == 32);
			case "search":
				return (($allow & 64) == 64);
			default:
				return (($allow & 8) == 8);
		}
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(),
			$this->getSqlGroupBy(), $this->getSqlHaving(), $this->getSqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(),
			$this->getSqlGroupBy(), $this->getSqlHaving(), $this->getSqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$this->Recordset_Selecting($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(), $this->getSqlGroupBy(),
			$this->getSqlHaving(), $this->getSqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->getSqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		$cnt = -1;
		if (($this->TableType == 'TABLE' || $this->TableType == 'VIEW' || $this->TableType == 'LINKTABLE') && preg_match("/^SELECT \* FROM/i", $sSql)) {
			$sSql = "SELECT COUNT(*) FROM" . preg_replace('/^SELECT\s([\s\S]+)?\*\sFROM/i', "", $sSql);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		$conn = &$this->Connection();
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			$conn = &$this->Connection();
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// INSERT statement
	function InsertSQL(&$rs) {
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]) || $this->fields[$name]->FldIsCustom)
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType, $this->DBID) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		$conn = &$this->Connection();
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "", $curfilter = TRUE) {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]) || $this->fields[$name]->FldIsCustom)
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType, $this->DBID) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = ($curfilter) ? $this->CurrentFilter : "";
		if (is_array($where))
			$where = $this->ArrayToFilter($where);
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "", $rsold = NULL, $curfilter = TRUE) {
		$conn = &$this->Connection();
		return $conn->Execute($this->UpdateSQL($rs, $where, $curfilter));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "", $curfilter = TRUE) {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if (is_array($where))
			$where = $this->ArrayToFilter($where);
		if ($rs) {
			if (array_key_exists('Id', $rs))
				ew_AddFilter($where, ew_QuotedName('Id', $this->DBID) . '=' . ew_QuotedValue($rs['Id'], $this->Id->FldDataType, $this->DBID));
		}
		$filter = ($curfilter) ? $this->CurrentFilter : "";
		ew_AddFilter($filter, $where);
		if ($filter <> "")
			$sql .= $filter;
		else
			$sql .= "0=1"; // Avoid delete
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "", $curfilter = TRUE) {
		$conn = &$this->Connection();
		return $conn->Execute($this->DeleteSQL($rs, $where, $curfilter));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`Id` = @Id@";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		if (!is_numeric($this->Id->CurrentValue))
			$sKeyFilter = "0=1"; // Invalid key
		$sKeyFilter = str_replace("@Id@", ew_AdjustSql($this->Id->CurrentValue, $this->DBID), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "seguimiento_individual3list.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "seguimiento_individual3list.php";
	}

	// View URL
	function GetViewUrl($parm = "") {
		if ($parm <> "")
			$url = $this->KeyUrl("seguimiento_individual3view.php", $this->UrlParm($parm));
		else
			$url = $this->KeyUrl("seguimiento_individual3view.php", $this->UrlParm(EW_TABLE_SHOW_DETAIL . "="));
		return $this->AddMasterUrl($url);
	}

	// Add URL
	function GetAddUrl($parm = "") {
		if ($parm <> "")
			$url = "seguimiento_individual3add.php?" . $this->UrlParm($parm);
		else
			$url = "seguimiento_individual3add.php";
		return $this->AddMasterUrl($url);
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		$url = $this->KeyUrl("seguimiento_individual3edit.php", $this->UrlParm($parm));
		return $this->AddMasterUrl($url);
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		$url = $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
		return $this->AddMasterUrl($url);
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		$url = $this->KeyUrl("seguimiento_individual3add.php", $this->UrlParm($parm));
		return $this->AddMasterUrl($url);
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		$url = $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
		return $this->AddMasterUrl($url);
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("seguimiento_individual3delete.php", $this->UrlParm());
	}

	// Add master url
	function AddMasterUrl($url) {
		if ($this->getCurrentMasterTable() == "registro" && strpos($url, EW_TABLE_SHOW_MASTER . "=") === FALSE) {
			$url .= (strpos($url, "?") !== FALSE ? "&" : "?") . EW_TABLE_SHOW_MASTER . "=" . $this->getCurrentMasterTable();
			$url .= "&fk_Consecutivo=" . urlencode($this->Id_Registro->CurrentValue);
		}
		return $url;
	}

	function KeyToJson() {
		$json = "";
		$json .= "Id:" . ew_VarToJson($this->Id->CurrentValue, "number", "'");
		return "{" . $json . "}";
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->Id->CurrentValue)) {
			$sUrl .= "Id=" . urlencode($this->Id->CurrentValue);
		} else {
			return "javascript:ew_Alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&amp;ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (!empty($_GET) || !empty($_POST)) {
			$isPost = ew_IsHttpPost();
			if ($isPost && isset($_POST["Id"]))
				$arKeys[] = ew_StripSlashes($_POST["Id"]);
			elseif (isset($_GET["Id"]))
				$arKeys[] = ew_StripSlashes($_GET["Id"]);
			else
				$arKeys = NULL; // Do not setup

			//return $arKeys; // Do not return yet, so the values will also be checked by the following code
		}

		// Check keys
		$ar = array();
		if (is_array($arKeys)) {
			foreach ($arKeys as $key) {
				if (!is_numeric($key))
					continue;
				$ar[] = $key;
			}
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->Id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$conn = &$this->Connection();
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->Id->setDbValue($rs->fields('Id'));
		$this->Id_Registro->setDbValue($rs->fields('Id_Registro'));
		$this->Codigo_Eps->setDbValue($rs->fields('Codigo_Eps'));
		$this->Tipo_regimen->setDbValue($rs->fields('Tipo_regimen'));
		$this->Codigo_Ips->setDbValue($rs->fields('Codigo_Ips'));
		$this->Fecha_Confirmatorio->setDbValue($rs->fields('Fecha_Confirmatorio'));
		$this->Escolaridad->setDbValue($rs->fields('Escolaridad'));
		$this->Estado_Civil->setDbValue($rs->fields('Estado_Civil'));
		$this->Fecha_Nacimiento->setDbValue($rs->fields('Fecha_Nacimiento'));
		$this->Estadio->setDbValue($rs->fields('Estadio'));
		$this->Primera_Carga_Viral->setDbValue($rs->fields('Primera_Carga_Viral'));
		$this->Numero_Carga_Viral->setDbValue($rs->fields('Numero_Carga Viral'));
		$this->Fecha_Primera_Carga_Viral->setDbValue($rs->fields('Fecha_Primera_Carga_Viral'));
		$this->CD4->setDbValue($rs->fields('CD4'));
		$this->Fecha_CD4->setDbValue($rs->fields('Fecha_CD4'));
		$this->adherencia->setDbValue($rs->fields('adherencia'));
		$this->Tratamiento_Antirretroviral->setDbValue($rs->fields('Tratamiento_Antirretroviral'));
		$this->Descripcion_antirretroviral->setDbValue($rs->fields('Descripcion_antirretroviral'));
		$this->Cambio_Esquema->setDbValue($rs->fields('Cambio_Esquema'));
		$this->Porque_No_Antirretroviral->setDbValue($rs->fields('Porque_No_Antirretroviral'));
		$this->Porque_no_adherente->setDbValue($rs->fields('Porque_no_adherente'));
		$this->Valor_ultima_cargaviral->setDbValue($rs->fields('Valor_ultima_cargaviral'));
		$this->Fecha_Ultima_Cargaviral->setDbValue($rs->fields('Fecha_Ultima_Cargaviral'));
		$this->Estado_Final->setDbValue($rs->fields('Estado_Final'));
		$this->Cambio_Municipio->setDbValue($rs->fields('Cambio_Municipio'));
		$this->Observaciones->setDbValue($rs->fields('Observaciones'));
		$this->Primer_Nombre->setDbValue($rs->fields('Primer_Nombre'));
		$this->Segundo_Nombre->setDbValue($rs->fields('Segundo_Nombre'));
		$this->Primer_Apellido->setDbValue($rs->fields('Primer_Apellido'));
		$this->Segundo_Apellido->setDbValue($rs->fields('Segundo_Apellido'));
		$this->Registrado_Por->setDbValue($rs->fields('Registrado_Por'));
		$this->Documento->setDbValue($rs->fields('Documento'));
		$this->Fecha_dig->setDbValue($rs->fields('Fecha_dig'));
		$this->CD3->setDbValue($rs->fields('CD3'));
		$this->CD8->setDbValue($rs->fields('CD8'));
	}

	// Render list row values
	function RenderListRow() {
		global $Security, $gsLanguage, $Language;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// Id
		// Id_Registro
		// Codigo_Eps
		// Tipo_regimen
		// Codigo_Ips
		// Fecha_Confirmatorio
		// Escolaridad
		// Estado_Civil
		// Fecha_Nacimiento
		// Estadio
		// Primera_Carga_Viral

		$this->Primera_Carga_Viral->CellCssStyle = "white-space: nowrap;";

		// Numero_Carga Viral
		// Fecha_Primera_Carga_Viral
		// CD4
		// Fecha_CD4
		// adherencia
		// Tratamiento_Antirretroviral
		// Descripcion_antirretroviral
		// Cambio_Esquema
		// Porque_No_Antirretroviral
		// Porque_no_adherente
		// Valor_ultima_cargaviral
		// Fecha_Ultima_Cargaviral
		// Estado_Final
		// Cambio_Municipio
		// Observaciones
		// Primer_Nombre
		// Segundo_Nombre
		// Primer_Apellido
		// Segundo_Apellido
		// Registrado_Por
		// Documento
		// Fecha_dig
		// CD3

		$this->CD3->CellCssStyle = "white-space: nowrap;";

		// CD8
		$this->CD8->CellCssStyle = "white-space: nowrap;";

		// Id
		$this->Id->ViewValue = $this->Id->CurrentValue;
		$this->Id->ViewCustomAttributes = "";

		// Id_Registro
		if (strval($this->Id_Registro->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Id_Registro->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Primer_Nombre` AS `DispFld`, `Segundo_Nombre` AS `Disp2Fld`, `Primer_Apellido` AS `Disp3Fld`, `Numero_Identificacion` AS `Disp4Fld` FROM `registro`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Id_Registro, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$arwrk[3] = $rswrk->fields('Disp3Fld');
				$arwrk[4] = $rswrk->fields('Disp4Fld');
				$this->Id_Registro->ViewValue = $this->Id_Registro->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Id_Registro->ViewValue = $this->Id_Registro->CurrentValue;
			}
		} else {
			$this->Id_Registro->ViewValue = NULL;
		}
		$this->Id_Registro->ViewCustomAttributes = "";

		// Codigo_Eps
		$this->Codigo_Eps->ViewValue = $this->Codigo_Eps->CurrentValue;
		if (strval($this->Codigo_Eps->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo`" . ew_SearchString("=", $this->Codigo_Eps->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo`, `Codigo` AS `DispFld`, `Administradora_Salud` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `administradora_salud`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Codigo_Eps, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->Codigo_Eps->ViewValue = $this->Codigo_Eps->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Codigo_Eps->ViewValue = $this->Codigo_Eps->CurrentValue;
			}
		} else {
			$this->Codigo_Eps->ViewValue = NULL;
		}
		$this->Codigo_Eps->ViewCustomAttributes = "";

		// Tipo_regimen
		if (strval($this->Tipo_regimen->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo_Regimen`" . ew_SearchString("=", $this->Tipo_regimen->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo_Regimen`, `Regimen_Salud` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tipo_regimen_salud`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Tipo_regimen, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Tipo_regimen->ViewValue = $this->Tipo_regimen->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Tipo_regimen->ViewValue = $this->Tipo_regimen->CurrentValue;
			}
		} else {
			$this->Tipo_regimen->ViewValue = NULL;
		}
		$this->Tipo_regimen->ViewCustomAttributes = "";

		// Codigo_Ips
		$this->Codigo_Ips->ViewValue = $this->Codigo_Ips->CurrentValue;
		if (strval($this->Codigo_Ips->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo_Upgd`" . ew_SearchString("=", $this->Codigo_Ips->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo_Upgd`, `Codigo_Upgd` AS `DispFld`, `Upgd` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `entidad_upgd`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Codigo_Ips, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->Codigo_Ips->ViewValue = $this->Codigo_Ips->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Codigo_Ips->ViewValue = $this->Codigo_Ips->CurrentValue;
			}
		} else {
			$this->Codigo_Ips->ViewValue = NULL;
		}
		$this->Codigo_Ips->ViewCustomAttributes = "";

		// Fecha_Confirmatorio
		$this->Fecha_Confirmatorio->ViewValue = $this->Fecha_Confirmatorio->CurrentValue;
		$this->Fecha_Confirmatorio->ViewValue = ew_FormatDateTime($this->Fecha_Confirmatorio->ViewValue, 5);
		$this->Fecha_Confirmatorio->ViewCustomAttributes = "";

		// Escolaridad
		if (strval($this->Escolaridad->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo`" . ew_SearchString("=", $this->Escolaridad->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Codigo`, `Nivel_Educativo` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `nivel_educativo`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Escolaridad, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Escolaridad->ViewValue = $this->Escolaridad->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Escolaridad->ViewValue = $this->Escolaridad->CurrentValue;
			}
		} else {
			$this->Escolaridad->ViewValue = NULL;
		}
		$this->Escolaridad->ViewCustomAttributes = "";

		// Estado_Civil
		if (strval($this->Estado_Civil->CurrentValue) <> "") {
			$sFilterWrk = "`Id`" . ew_SearchString("=", $this->Estado_Civil->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Id`, `Estado_Civil` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `estado_civil`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Estado_Civil, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Estado_Civil->ViewValue = $this->Estado_Civil->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Estado_Civil->ViewValue = $this->Estado_Civil->CurrentValue;
			}
		} else {
			$this->Estado_Civil->ViewValue = NULL;
		}
		$this->Estado_Civil->ViewCustomAttributes = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->ViewValue = $this->Fecha_Nacimiento->CurrentValue;
		$this->Fecha_Nacimiento->ViewValue = ew_FormatDateTime($this->Fecha_Nacimiento->ViewValue, 5);
		$this->Fecha_Nacimiento->ViewCustomAttributes = "";

		// Estadio
		if (strval($this->Estadio->CurrentValue) <> "") {
			$sFilterWrk = "`Id`" . ew_SearchString("=", $this->Estadio->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Id`, `Estadio` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `estadio`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Estadio, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Estadio->ViewValue = $this->Estadio->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Estadio->ViewValue = $this->Estadio->CurrentValue;
			}
		} else {
			$this->Estadio->ViewValue = NULL;
		}
		$this->Estadio->ViewCustomAttributes = "";

		// Primera_Carga_Viral
		if (strval($this->Primera_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Primera_Carga_Viral->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Primera_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Primera_Carga_Viral->ViewValue = $this->Primera_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Primera_Carga_Viral->ViewValue = $this->Primera_Carga_Viral->CurrentValue;
			}
		} else {
			$this->Primera_Carga_Viral->ViewValue = NULL;
		}
		$this->Primera_Carga_Viral->ViewCustomAttributes = "";

		// Numero_Carga Viral
		if (strval($this->Numero_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->Numero_Carga_Viral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Numero_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Numero_Carga_Viral->ViewValue = $this->Numero_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Numero_Carga_Viral->ViewValue = $this->Numero_Carga_Viral->CurrentValue;
			}
		} else {
			$this->Numero_Carga_Viral->ViewValue = NULL;
		}
		$this->Numero_Carga_Viral->ViewCustomAttributes = "";

		// Fecha_Primera_Carga_Viral
		$this->Fecha_Primera_Carga_Viral->ViewValue = $this->Fecha_Primera_Carga_Viral->CurrentValue;
		$this->Fecha_Primera_Carga_Viral->ViewValue = ew_FormatDateTime($this->Fecha_Primera_Carga_Viral->ViewValue, 5);
		$this->Fecha_Primera_Carga_Viral->ViewCustomAttributes = "";

		// CD4
		$this->CD4->ViewValue = $this->CD4->CurrentValue;
		$this->CD4->ViewCustomAttributes = "";

		// Fecha_CD4
		$this->Fecha_CD4->ViewValue = $this->Fecha_CD4->CurrentValue;
		$this->Fecha_CD4->ViewValue = ew_FormatDateTime($this->Fecha_CD4->ViewValue, 5);
		$this->Fecha_CD4->ViewCustomAttributes = "";

		// adherencia
		if (strval($this->adherencia->CurrentValue) <> "") {
			$sFilterWrk = "`id`" . ew_SearchString("=", $this->adherencia->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `id`, `adherencia` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `adherencia`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->adherencia, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->adherencia->ViewValue = $this->adherencia->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->adherencia->ViewValue = $this->adherencia->CurrentValue;
			}
		} else {
			$this->adherencia->ViewValue = NULL;
		}
		$this->adherencia->ViewCustomAttributes = "";

		// Tratamiento_Antirretroviral
		if (strval($this->Tratamiento_Antirretroviral->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Tratamiento_Antirretroviral->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Tratamiento_Antirretroviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Tratamiento_Antirretroviral->ViewValue = $this->Tratamiento_Antirretroviral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Tratamiento_Antirretroviral->ViewValue = $this->Tratamiento_Antirretroviral->CurrentValue;
			}
		} else {
			$this->Tratamiento_Antirretroviral->ViewValue = NULL;
		}
		$this->Tratamiento_Antirretroviral->ViewCustomAttributes = "";

		// Descripcion_antirretroviral
		if (strval($this->Descripcion_antirretroviral->CurrentValue) <> "") {
			$arwrk = explode(",", $this->Descripcion_antirretroviral->CurrentValue);
			$sFilterWrk = "";
			foreach ($arwrk as $wrk) {
				if ($sFilterWrk <> "") $sFilterWrk .= " OR ";
				$sFilterWrk .= "`Id`" . ew_SearchString("=", trim($wrk), EW_DATATYPE_NUMBER, "");
			}
		$sSqlWrk = "SELECT `Id`, `Medicamentos` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `medicamentos_antiretrovirales`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Descripcion_antirretroviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->Descripcion_antirretroviral->ViewValue = "";
				$ari = 0;
				while (!$rswrk->EOF) {
					$arwrk = array();
					$arwrk[1] = $rswrk->fields('DispFld');
					$this->Descripcion_antirretroviral->ViewValue .= $this->Descripcion_antirretroviral->DisplayValue($arwrk);
					$rswrk->MoveNext();
					if (!$rswrk->EOF) $this->Descripcion_antirretroviral->ViewValue .= ew_ViewOptionSeparator($ari); // Separate Options
					$ari++;
				}
				$rswrk->Close();
			} else {
				$this->Descripcion_antirretroviral->ViewValue = $this->Descripcion_antirretroviral->CurrentValue;
			}
		} else {
			$this->Descripcion_antirretroviral->ViewValue = NULL;
		}
		$this->Descripcion_antirretroviral->ViewCustomAttributes = "";

		// Cambio_Esquema
		if (strval($this->Cambio_Esquema->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Cambio_Esquema->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Cambio_Esquema, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Cambio_Esquema->ViewValue = $this->Cambio_Esquema->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Cambio_Esquema->ViewValue = $this->Cambio_Esquema->CurrentValue;
			}
		} else {
			$this->Cambio_Esquema->ViewValue = NULL;
		}
		$this->Cambio_Esquema->ViewCustomAttributes = "";

		// Porque_No_Antirretroviral
		if (strval($this->Porque_No_Antirretroviral->CurrentValue) <> "") {
			$this->Porque_No_Antirretroviral->ViewValue = $this->Porque_No_Antirretroviral->OptionCaption($this->Porque_No_Antirretroviral->CurrentValue);
		} else {
			$this->Porque_No_Antirretroviral->ViewValue = NULL;
		}
		$this->Porque_No_Antirretroviral->ViewCustomAttributes = "";

		// Porque_no_adherente
		if (strval($this->Porque_no_adherente->CurrentValue) <> "") {
			$this->Porque_no_adherente->ViewValue = $this->Porque_no_adherente->OptionCaption($this->Porque_no_adherente->CurrentValue);
		} else {
			$this->Porque_no_adherente->ViewValue = NULL;
		}
		$this->Porque_no_adherente->ViewCustomAttributes = "";

		// Valor_ultima_cargaviral
		if (strval($this->Valor_ultima_cargaviral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->Valor_ultima_cargaviral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Valor_ultima_cargaviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Valor_ultima_cargaviral->ViewValue = $this->Valor_ultima_cargaviral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Valor_ultima_cargaviral->ViewValue = $this->Valor_ultima_cargaviral->CurrentValue;
			}
		} else {
			$this->Valor_ultima_cargaviral->ViewValue = NULL;
		}
		$this->Valor_ultima_cargaviral->ViewCustomAttributes = "";

		// Fecha_Ultima_Cargaviral
		$this->Fecha_Ultima_Cargaviral->ViewValue = $this->Fecha_Ultima_Cargaviral->CurrentValue;
		$this->Fecha_Ultima_Cargaviral->ViewValue = ew_FormatDateTime($this->Fecha_Ultima_Cargaviral->ViewValue, 5);
		$this->Fecha_Ultima_Cargaviral->ViewCustomAttributes = "";

		// Estado_Final
		if (strval($this->Estado_Final->CurrentValue) <> "") {
			$this->Estado_Final->ViewValue = $this->Estado_Final->OptionCaption($this->Estado_Final->CurrentValue);
		} else {
			$this->Estado_Final->ViewValue = NULL;
		}
		$this->Estado_Final->ViewCustomAttributes = "";

		// Cambio_Municipio
		if (strval($this->Cambio_Municipio->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Cambio_Municipio->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Cambio_Municipio, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Cambio_Municipio->ViewValue = $this->Cambio_Municipio->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Cambio_Municipio->ViewValue = $this->Cambio_Municipio->CurrentValue;
			}
		} else {
			$this->Cambio_Municipio->ViewValue = NULL;
		}
		$this->Cambio_Municipio->ViewCustomAttributes = "";

		// Observaciones
		$this->Observaciones->ViewValue = $this->Observaciones->CurrentValue;
		$this->Observaciones->ViewCustomAttributes = "";

		// Primer_Nombre
		$this->Primer_Nombre->ViewValue = $this->Primer_Nombre->CurrentValue;
		$this->Primer_Nombre->ViewCustomAttributes = "";

		// Segundo_Nombre
		$this->Segundo_Nombre->ViewValue = $this->Segundo_Nombre->CurrentValue;
		$this->Segundo_Nombre->ViewCustomAttributes = "";

		// Primer_Apellido
		$this->Primer_Apellido->ViewValue = $this->Primer_Apellido->CurrentValue;
		$this->Primer_Apellido->ViewCustomAttributes = "";

		// Segundo_Apellido
		$this->Segundo_Apellido->ViewValue = $this->Segundo_Apellido->CurrentValue;
		$this->Segundo_Apellido->ViewCustomAttributes = "";

		// Registrado_Por
		$this->Registrado_Por->ViewValue = $this->Registrado_Por->CurrentValue;
		$this->Registrado_Por->ViewCustomAttributes = "";

		// Documento
		$this->Documento->ViewValue = $this->Documento->CurrentValue;
		$this->Documento->ViewCustomAttributes = "";

		// Fecha_dig
		$this->Fecha_dig->ViewValue = $this->Fecha_dig->CurrentValue;
		$this->Fecha_dig->ViewValue = ew_FormatDateTime($this->Fecha_dig->ViewValue, 5);
		$this->Fecha_dig->ViewCustomAttributes = "";

		// CD3
		$this->CD3->ViewValue = $this->CD3->CurrentValue;
		$this->CD3->ViewCustomAttributes = "";

		// CD8
		$this->CD8->ViewValue = $this->CD8->CurrentValue;
		$this->CD8->ViewCustomAttributes = "";

		// Id
		$this->Id->LinkCustomAttributes = "";
		$this->Id->HrefValue = "";
		$this->Id->TooltipValue = "";

		// Id_Registro
		$this->Id_Registro->LinkCustomAttributes = "";
		$this->Id_Registro->HrefValue = "";
		$this->Id_Registro->TooltipValue = "";

		// Codigo_Eps
		$this->Codigo_Eps->LinkCustomAttributes = "";
		$this->Codigo_Eps->HrefValue = "";
		$this->Codigo_Eps->TooltipValue = "";

		// Tipo_regimen
		$this->Tipo_regimen->LinkCustomAttributes = "";
		$this->Tipo_regimen->HrefValue = "";
		$this->Tipo_regimen->TooltipValue = "";

		// Codigo_Ips
		$this->Codigo_Ips->LinkCustomAttributes = "";
		$this->Codigo_Ips->HrefValue = "";
		$this->Codigo_Ips->TooltipValue = "";

		// Fecha_Confirmatorio
		$this->Fecha_Confirmatorio->LinkCustomAttributes = "";
		$this->Fecha_Confirmatorio->HrefValue = "";
		$this->Fecha_Confirmatorio->TooltipValue = "";

		// Escolaridad
		$this->Escolaridad->LinkCustomAttributes = "";
		$this->Escolaridad->HrefValue = "";
		$this->Escolaridad->TooltipValue = "";

		// Estado_Civil
		$this->Estado_Civil->LinkCustomAttributes = "";
		$this->Estado_Civil->HrefValue = "";
		$this->Estado_Civil->TooltipValue = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->LinkCustomAttributes = "";
		$this->Fecha_Nacimiento->HrefValue = "";
		$this->Fecha_Nacimiento->TooltipValue = "";

		// Estadio
		$this->Estadio->LinkCustomAttributes = "";
		$this->Estadio->HrefValue = "";
		$this->Estadio->TooltipValue = "";

		// Primera_Carga_Viral
		$this->Primera_Carga_Viral->LinkCustomAttributes = "";
		$this->Primera_Carga_Viral->HrefValue = "";
		$this->Primera_Carga_Viral->TooltipValue = "";

		// Numero_Carga Viral
		$this->Numero_Carga_Viral->LinkCustomAttributes = "";
		$this->Numero_Carga_Viral->HrefValue = "";
		$this->Numero_Carga_Viral->TooltipValue = "";

		// Fecha_Primera_Carga_Viral
		$this->Fecha_Primera_Carga_Viral->LinkCustomAttributes = "";
		$this->Fecha_Primera_Carga_Viral->HrefValue = "";
		$this->Fecha_Primera_Carga_Viral->TooltipValue = "";

		// CD4
		$this->CD4->LinkCustomAttributes = "";
		$this->CD4->HrefValue = "";
		$this->CD4->TooltipValue = "";

		// Fecha_CD4
		$this->Fecha_CD4->LinkCustomAttributes = "";
		$this->Fecha_CD4->HrefValue = "";
		$this->Fecha_CD4->TooltipValue = "";

		// adherencia
		$this->adherencia->LinkCustomAttributes = "";
		$this->adherencia->HrefValue = "";
		$this->adherencia->TooltipValue = "";

		// Tratamiento_Antirretroviral
		$this->Tratamiento_Antirretroviral->LinkCustomAttributes = "";
		$this->Tratamiento_Antirretroviral->HrefValue = "";
		$this->Tratamiento_Antirretroviral->TooltipValue = "";

		// Descripcion_antirretroviral
		$this->Descripcion_antirretroviral->LinkCustomAttributes = "";
		$this->Descripcion_antirretroviral->HrefValue = "";
		$this->Descripcion_antirretroviral->TooltipValue = "";

		// Cambio_Esquema
		$this->Cambio_Esquema->LinkCustomAttributes = "";
		$this->Cambio_Esquema->HrefValue = "";
		$this->Cambio_Esquema->TooltipValue = "";

		// Porque_No_Antirretroviral
		$this->Porque_No_Antirretroviral->LinkCustomAttributes = "";
		$this->Porque_No_Antirretroviral->HrefValue = "";
		$this->Porque_No_Antirretroviral->TooltipValue = "";

		// Porque_no_adherente
		$this->Porque_no_adherente->LinkCustomAttributes = "";
		$this->Porque_no_adherente->HrefValue = "";
		$this->Porque_no_adherente->TooltipValue = "";

		// Valor_ultima_cargaviral
		$this->Valor_ultima_cargaviral->LinkCustomAttributes = "";
		$this->Valor_ultima_cargaviral->HrefValue = "";
		$this->Valor_ultima_cargaviral->TooltipValue = "";

		// Fecha_Ultima_Cargaviral
		$this->Fecha_Ultima_Cargaviral->LinkCustomAttributes = "";
		$this->Fecha_Ultima_Cargaviral->HrefValue = "";
		$this->Fecha_Ultima_Cargaviral->TooltipValue = "";

		// Estado_Final
		$this->Estado_Final->LinkCustomAttributes = "";
		$this->Estado_Final->HrefValue = "";
		$this->Estado_Final->TooltipValue = "";

		// Cambio_Municipio
		$this->Cambio_Municipio->LinkCustomAttributes = "";
		$this->Cambio_Municipio->HrefValue = "";
		$this->Cambio_Municipio->TooltipValue = "";

		// Observaciones
		$this->Observaciones->LinkCustomAttributes = "";
		$this->Observaciones->HrefValue = "";
		$this->Observaciones->TooltipValue = "";

		// Primer_Nombre
		$this->Primer_Nombre->LinkCustomAttributes = "";
		$this->Primer_Nombre->HrefValue = "";
		$this->Primer_Nombre->TooltipValue = "";

		// Segundo_Nombre
		$this->Segundo_Nombre->LinkCustomAttributes = "";
		$this->Segundo_Nombre->HrefValue = "";
		$this->Segundo_Nombre->TooltipValue = "";

		// Primer_Apellido
		$this->Primer_Apellido->LinkCustomAttributes = "";
		$this->Primer_Apellido->HrefValue = "";
		$this->Primer_Apellido->TooltipValue = "";

		// Segundo_Apellido
		$this->Segundo_Apellido->LinkCustomAttributes = "";
		$this->Segundo_Apellido->HrefValue = "";
		$this->Segundo_Apellido->TooltipValue = "";

		// Registrado_Por
		$this->Registrado_Por->LinkCustomAttributes = "";
		$this->Registrado_Por->HrefValue = "";
		$this->Registrado_Por->TooltipValue = "";

		// Documento
		$this->Documento->LinkCustomAttributes = "";
		$this->Documento->HrefValue = "";
		$this->Documento->TooltipValue = "";

		// Fecha_dig
		$this->Fecha_dig->LinkCustomAttributes = "";
		$this->Fecha_dig->HrefValue = "";
		$this->Fecha_dig->TooltipValue = "";

		// CD3
		$this->CD3->LinkCustomAttributes = "";
		$this->CD3->HrefValue = "";
		$this->CD3->TooltipValue = "";

		// CD8
		$this->CD8->LinkCustomAttributes = "";
		$this->CD8->HrefValue = "";
		$this->CD8->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Render edit row values
	function RenderEditRow() {
		global $Security, $gsLanguage, $Language;

		// Call Row Rendering event
		$this->Row_Rendering();

		// Id
		$this->Id->EditAttrs["class"] = "form-control";
		$this->Id->EditCustomAttributes = "";
		$this->Id->EditValue = $this->Id->CurrentValue;
		$this->Id->ViewCustomAttributes = "";

		// Id_Registro
		$this->Id_Registro->EditAttrs["class"] = "form-control";
		$this->Id_Registro->EditCustomAttributes = "";
		if ($this->Id_Registro->getSessionValue() <> "") {
			$this->Id_Registro->CurrentValue = $this->Id_Registro->getSessionValue();
		if (strval($this->Id_Registro->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Id_Registro->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Primer_Nombre` AS `DispFld`, `Segundo_Nombre` AS `Disp2Fld`, `Primer_Apellido` AS `Disp3Fld`, `Numero_Identificacion` AS `Disp4Fld` FROM `registro`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Id_Registro, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$arwrk[3] = $rswrk->fields('Disp3Fld');
				$arwrk[4] = $rswrk->fields('Disp4Fld');
				$this->Id_Registro->ViewValue = $this->Id_Registro->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Id_Registro->ViewValue = $this->Id_Registro->CurrentValue;
			}
		} else {
			$this->Id_Registro->ViewValue = NULL;
		}
		$this->Id_Registro->ViewCustomAttributes = "";
		} else {
		}

		// Codigo_Eps
		$this->Codigo_Eps->EditAttrs["class"] = "form-control";
		$this->Codigo_Eps->EditCustomAttributes = "";
		$this->Codigo_Eps->EditValue = $this->Codigo_Eps->CurrentValue;
		$this->Codigo_Eps->PlaceHolder = ew_RemoveHtml($this->Codigo_Eps->FldCaption());

		// Tipo_regimen
		$this->Tipo_regimen->EditCustomAttributes = "";

		// Codigo_Ips
		$this->Codigo_Ips->EditAttrs["class"] = "form-control";
		$this->Codigo_Ips->EditCustomAttributes = "";
		$this->Codigo_Ips->EditValue = $this->Codigo_Ips->CurrentValue;
		$this->Codigo_Ips->PlaceHolder = ew_RemoveHtml($this->Codigo_Ips->FldCaption());

		// Fecha_Confirmatorio
		$this->Fecha_Confirmatorio->EditAttrs["class"] = "form-control";
		$this->Fecha_Confirmatorio->EditCustomAttributes = "";
		$this->Fecha_Confirmatorio->EditValue = ew_FormatDateTime($this->Fecha_Confirmatorio->CurrentValue, 5);
		$this->Fecha_Confirmatorio->PlaceHolder = ew_RemoveHtml($this->Fecha_Confirmatorio->FldCaption());

		// Escolaridad
		$this->Escolaridad->EditAttrs["class"] = "form-control";
		$this->Escolaridad->EditCustomAttributes = "";

		// Estado_Civil
		$this->Estado_Civil->EditAttrs["class"] = "form-control";
		$this->Estado_Civil->EditCustomAttributes = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->EditAttrs["class"] = "form-control";
		$this->Fecha_Nacimiento->EditCustomAttributes = "";
		$this->Fecha_Nacimiento->EditValue = ew_FormatDateTime($this->Fecha_Nacimiento->CurrentValue, 5);
		$this->Fecha_Nacimiento->PlaceHolder = ew_RemoveHtml($this->Fecha_Nacimiento->FldCaption());

		// Estadio
		$this->Estadio->EditAttrs["class"] = "form-control";
		$this->Estadio->EditCustomAttributes = "";

		// Primera_Carga_Viral
		$this->Primera_Carga_Viral->EditCustomAttributes = "";

		// Numero_Carga Viral
		$this->Numero_Carga_Viral->EditAttrs["class"] = "form-control";
		$this->Numero_Carga_Viral->EditCustomAttributes = "";

		// Fecha_Primera_Carga_Viral
		$this->Fecha_Primera_Carga_Viral->EditAttrs["class"] = "form-control";
		$this->Fecha_Primera_Carga_Viral->EditCustomAttributes = "";
		$this->Fecha_Primera_Carga_Viral->EditValue = ew_FormatDateTime($this->Fecha_Primera_Carga_Viral->CurrentValue, 5);
		$this->Fecha_Primera_Carga_Viral->PlaceHolder = ew_RemoveHtml($this->Fecha_Primera_Carga_Viral->FldCaption());

		// CD4
		$this->CD4->EditAttrs["class"] = "form-control";
		$this->CD4->EditCustomAttributes = "";
		$this->CD4->EditValue = $this->CD4->CurrentValue;
		$this->CD4->PlaceHolder = ew_RemoveHtml($this->CD4->FldCaption());

		// Fecha_CD4
		$this->Fecha_CD4->EditAttrs["class"] = "form-control";
		$this->Fecha_CD4->EditCustomAttributes = "";
		$this->Fecha_CD4->EditValue = ew_FormatDateTime($this->Fecha_CD4->CurrentValue, 5);
		$this->Fecha_CD4->PlaceHolder = ew_RemoveHtml($this->Fecha_CD4->FldCaption());

		// adherencia
		$this->adherencia->EditAttrs["class"] = "form-control";
		$this->adherencia->EditCustomAttributes = "";

		// Tratamiento_Antirretroviral
		$this->Tratamiento_Antirretroviral->EditCustomAttributes = "";

		// Descripcion_antirretroviral
		$this->Descripcion_antirretroviral->EditCustomAttributes = "";

		// Cambio_Esquema
		$this->Cambio_Esquema->EditCustomAttributes = "";

		// Porque_No_Antirretroviral
		$this->Porque_No_Antirretroviral->EditCustomAttributes = "";
		$this->Porque_No_Antirretroviral->EditValue = $this->Porque_No_Antirretroviral->Options(FALSE);

		// Porque_no_adherente
		$this->Porque_no_adherente->EditCustomAttributes = "";
		$this->Porque_no_adherente->EditValue = $this->Porque_no_adherente->Options(FALSE);

		// Valor_ultima_cargaviral
		$this->Valor_ultima_cargaviral->EditAttrs["class"] = "form-control";
		$this->Valor_ultima_cargaviral->EditCustomAttributes = "";

		// Fecha_Ultima_Cargaviral
		$this->Fecha_Ultima_Cargaviral->EditAttrs["class"] = "form-control";
		$this->Fecha_Ultima_Cargaviral->EditCustomAttributes = "";
		$this->Fecha_Ultima_Cargaviral->EditValue = ew_FormatDateTime($this->Fecha_Ultima_Cargaviral->CurrentValue, 5);
		$this->Fecha_Ultima_Cargaviral->PlaceHolder = ew_RemoveHtml($this->Fecha_Ultima_Cargaviral->FldCaption());

		// Estado_Final
		$this->Estado_Final->EditCustomAttributes = "";
		$this->Estado_Final->EditValue = $this->Estado_Final->Options(FALSE);

		// Cambio_Municipio
		$this->Cambio_Municipio->EditCustomAttributes = "";

		// Observaciones
		$this->Observaciones->EditAttrs["class"] = "form-control";
		$this->Observaciones->EditCustomAttributes = "";
		$this->Observaciones->EditValue = $this->Observaciones->CurrentValue;
		$this->Observaciones->PlaceHolder = ew_RemoveHtml($this->Observaciones->FldCaption());

		// Primer_Nombre
		$this->Primer_Nombre->EditAttrs["class"] = "form-control";
		$this->Primer_Nombre->EditCustomAttributes = "style='background-color:#01A9DB;' readonly";
		$this->Primer_Nombre->EditValue = $this->Primer_Nombre->CurrentValue;
		$this->Primer_Nombre->PlaceHolder = ew_RemoveHtml($this->Primer_Nombre->FldCaption());

		// Segundo_Nombre
		$this->Segundo_Nombre->EditAttrs["class"] = "form-control";
		$this->Segundo_Nombre->EditCustomAttributes = "style='background-color:#01A9DB;' readonly";
		$this->Segundo_Nombre->EditValue = $this->Segundo_Nombre->CurrentValue;
		$this->Segundo_Nombre->PlaceHolder = ew_RemoveHtml($this->Segundo_Nombre->FldCaption());

		// Primer_Apellido
		$this->Primer_Apellido->EditAttrs["class"] = "form-control";
		$this->Primer_Apellido->EditCustomAttributes = "style='background-color:#01A9DB;' readonly";
		$this->Primer_Apellido->EditValue = $this->Primer_Apellido->CurrentValue;
		$this->Primer_Apellido->PlaceHolder = ew_RemoveHtml($this->Primer_Apellido->FldCaption());

		// Segundo_Apellido
		$this->Segundo_Apellido->EditAttrs["class"] = "form-control";
		$this->Segundo_Apellido->EditCustomAttributes = "style='background-color:#01A9DB;' readonly";
		$this->Segundo_Apellido->EditValue = $this->Segundo_Apellido->CurrentValue;
		$this->Segundo_Apellido->PlaceHolder = ew_RemoveHtml($this->Segundo_Apellido->FldCaption());

		// Registrado_Por
		// Documento

		$this->Documento->EditAttrs["class"] = "form-control";
		$this->Documento->EditCustomAttributes = "style='background-color:#01A9DB;' readonly";
		$this->Documento->EditValue = $this->Documento->CurrentValue;
		$this->Documento->PlaceHolder = ew_RemoveHtml($this->Documento->FldCaption());

		// Fecha_dig
		// CD3

		$this->CD3->EditAttrs["class"] = "form-control";
		$this->CD3->EditCustomAttributes = "";
		$this->CD3->EditValue = $this->CD3->CurrentValue;
		$this->CD3->PlaceHolder = ew_RemoveHtml($this->CD3->FldCaption());

		// CD8
		$this->CD8->EditAttrs["class"] = "form-control";
		$this->CD8->EditCustomAttributes = "";
		$this->CD8->EditValue = $this->CD8->CurrentValue;
		$this->CD8->PlaceHolder = ew_RemoveHtml($this->CD8->FldCaption());

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {

		// Call Row Rendered event
		$this->Row_Rendered();
	}
	var $ExportDoc;

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;
		if (!$Doc->ExportCustom) {

			// Write header
			$Doc->ExportTableHeader();
			if ($Doc->Horizontal) { // Horizontal format, write header
				$Doc->BeginExportRow();
				if ($ExportPageType == "view") {
					if ($this->Id->Exportable) $Doc->ExportCaption($this->Id);
					if ($this->Id_Registro->Exportable) $Doc->ExportCaption($this->Id_Registro);
					if ($this->Codigo_Eps->Exportable) $Doc->ExportCaption($this->Codigo_Eps);
					if ($this->Tipo_regimen->Exportable) $Doc->ExportCaption($this->Tipo_regimen);
					if ($this->Codigo_Ips->Exportable) $Doc->ExportCaption($this->Codigo_Ips);
					if ($this->Fecha_Confirmatorio->Exportable) $Doc->ExportCaption($this->Fecha_Confirmatorio);
					if ($this->Escolaridad->Exportable) $Doc->ExportCaption($this->Escolaridad);
					if ($this->Estado_Civil->Exportable) $Doc->ExportCaption($this->Estado_Civil);
					if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportCaption($this->Fecha_Nacimiento);
					if ($this->Estadio->Exportable) $Doc->ExportCaption($this->Estadio);
					if ($this->Numero_Carga_Viral->Exportable) $Doc->ExportCaption($this->Numero_Carga_Viral);
					if ($this->Fecha_Primera_Carga_Viral->Exportable) $Doc->ExportCaption($this->Fecha_Primera_Carga_Viral);
					if ($this->CD4->Exportable) $Doc->ExportCaption($this->CD4);
					if ($this->Fecha_CD4->Exportable) $Doc->ExportCaption($this->Fecha_CD4);
					if ($this->adherencia->Exportable) $Doc->ExportCaption($this->adherencia);
					if ($this->Tratamiento_Antirretroviral->Exportable) $Doc->ExportCaption($this->Tratamiento_Antirretroviral);
					if ($this->Descripcion_antirretroviral->Exportable) $Doc->ExportCaption($this->Descripcion_antirretroviral);
					if ($this->Cambio_Esquema->Exportable) $Doc->ExportCaption($this->Cambio_Esquema);
					if ($this->Porque_No_Antirretroviral->Exportable) $Doc->ExportCaption($this->Porque_No_Antirretroviral);
					if ($this->Porque_no_adherente->Exportable) $Doc->ExportCaption($this->Porque_no_adherente);
					if ($this->Valor_ultima_cargaviral->Exportable) $Doc->ExportCaption($this->Valor_ultima_cargaviral);
					if ($this->Fecha_Ultima_Cargaviral->Exportable) $Doc->ExportCaption($this->Fecha_Ultima_Cargaviral);
					if ($this->Estado_Final->Exportable) $Doc->ExportCaption($this->Estado_Final);
					if ($this->Cambio_Municipio->Exportable) $Doc->ExportCaption($this->Cambio_Municipio);
					if ($this->Observaciones->Exportable) $Doc->ExportCaption($this->Observaciones);
					if ($this->Primer_Nombre->Exportable) $Doc->ExportCaption($this->Primer_Nombre);
					if ($this->Segundo_Nombre->Exportable) $Doc->ExportCaption($this->Segundo_Nombre);
					if ($this->Primer_Apellido->Exportable) $Doc->ExportCaption($this->Primer_Apellido);
					if ($this->Segundo_Apellido->Exportable) $Doc->ExportCaption($this->Segundo_Apellido);
					if ($this->Registrado_Por->Exportable) $Doc->ExportCaption($this->Registrado_Por);
					if ($this->Documento->Exportable) $Doc->ExportCaption($this->Documento);
					if ($this->Fecha_dig->Exportable) $Doc->ExportCaption($this->Fecha_dig);
				} else {
					if ($this->Id->Exportable) $Doc->ExportCaption($this->Id);
					if ($this->Id_Registro->Exportable) $Doc->ExportCaption($this->Id_Registro);
					if ($this->Codigo_Eps->Exportable) $Doc->ExportCaption($this->Codigo_Eps);
					if ($this->Tipo_regimen->Exportable) $Doc->ExportCaption($this->Tipo_regimen);
					if ($this->Codigo_Ips->Exportable) $Doc->ExportCaption($this->Codigo_Ips);
					if ($this->Fecha_Confirmatorio->Exportable) $Doc->ExportCaption($this->Fecha_Confirmatorio);
					if ($this->Escolaridad->Exportable) $Doc->ExportCaption($this->Escolaridad);
					if ($this->Estado_Civil->Exportable) $Doc->ExportCaption($this->Estado_Civil);
					if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportCaption($this->Fecha_Nacimiento);
					if ($this->Estadio->Exportable) $Doc->ExportCaption($this->Estadio);
					if ($this->Numero_Carga_Viral->Exportable) $Doc->ExportCaption($this->Numero_Carga_Viral);
					if ($this->Fecha_Primera_Carga_Viral->Exportable) $Doc->ExportCaption($this->Fecha_Primera_Carga_Viral);
					if ($this->CD4->Exportable) $Doc->ExportCaption($this->CD4);
					if ($this->Fecha_CD4->Exportable) $Doc->ExportCaption($this->Fecha_CD4);
					if ($this->adherencia->Exportable) $Doc->ExportCaption($this->adherencia);
					if ($this->Tratamiento_Antirretroviral->Exportable) $Doc->ExportCaption($this->Tratamiento_Antirretroviral);
					if ($this->Descripcion_antirretroviral->Exportable) $Doc->ExportCaption($this->Descripcion_antirretroviral);
					if ($this->Cambio_Esquema->Exportable) $Doc->ExportCaption($this->Cambio_Esquema);
					if ($this->Porque_No_Antirretroviral->Exportable) $Doc->ExportCaption($this->Porque_No_Antirretroviral);
					if ($this->Porque_no_adherente->Exportable) $Doc->ExportCaption($this->Porque_no_adherente);
					if ($this->Valor_ultima_cargaviral->Exportable) $Doc->ExportCaption($this->Valor_ultima_cargaviral);
					if ($this->Fecha_Ultima_Cargaviral->Exportable) $Doc->ExportCaption($this->Fecha_Ultima_Cargaviral);
					if ($this->Estado_Final->Exportable) $Doc->ExportCaption($this->Estado_Final);
					if ($this->Cambio_Municipio->Exportable) $Doc->ExportCaption($this->Cambio_Municipio);
					if ($this->Observaciones->Exportable) $Doc->ExportCaption($this->Observaciones);
					if ($this->Primer_Nombre->Exportable) $Doc->ExportCaption($this->Primer_Nombre);
					if ($this->Segundo_Nombre->Exportable) $Doc->ExportCaption($this->Segundo_Nombre);
					if ($this->Primer_Apellido->Exportable) $Doc->ExportCaption($this->Primer_Apellido);
					if ($this->Segundo_Apellido->Exportable) $Doc->ExportCaption($this->Segundo_Apellido);
					if ($this->Registrado_Por->Exportable) $Doc->ExportCaption($this->Registrado_Por);
					if ($this->Documento->Exportable) $Doc->ExportCaption($this->Documento);
					if ($this->Fecha_dig->Exportable) $Doc->ExportCaption($this->Fecha_dig);
				}
				$Doc->EndExportRow();
			}
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				if (!$Doc->ExportCustom) {
					$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
					if ($ExportPageType == "view") {
						if ($this->Id->Exportable) $Doc->ExportField($this->Id);
						if ($this->Id_Registro->Exportable) $Doc->ExportField($this->Id_Registro);
						if ($this->Codigo_Eps->Exportable) $Doc->ExportField($this->Codigo_Eps);
						if ($this->Tipo_regimen->Exportable) $Doc->ExportField($this->Tipo_regimen);
						if ($this->Codigo_Ips->Exportable) $Doc->ExportField($this->Codigo_Ips);
						if ($this->Fecha_Confirmatorio->Exportable) $Doc->ExportField($this->Fecha_Confirmatorio);
						if ($this->Escolaridad->Exportable) $Doc->ExportField($this->Escolaridad);
						if ($this->Estado_Civil->Exportable) $Doc->ExportField($this->Estado_Civil);
						if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportField($this->Fecha_Nacimiento);
						if ($this->Estadio->Exportable) $Doc->ExportField($this->Estadio);
						if ($this->Numero_Carga_Viral->Exportable) $Doc->ExportField($this->Numero_Carga_Viral);
						if ($this->Fecha_Primera_Carga_Viral->Exportable) $Doc->ExportField($this->Fecha_Primera_Carga_Viral);
						if ($this->CD4->Exportable) $Doc->ExportField($this->CD4);
						if ($this->Fecha_CD4->Exportable) $Doc->ExportField($this->Fecha_CD4);
						if ($this->adherencia->Exportable) $Doc->ExportField($this->adherencia);
						if ($this->Tratamiento_Antirretroviral->Exportable) $Doc->ExportField($this->Tratamiento_Antirretroviral);
						if ($this->Descripcion_antirretroviral->Exportable) $Doc->ExportField($this->Descripcion_antirretroviral);
						if ($this->Cambio_Esquema->Exportable) $Doc->ExportField($this->Cambio_Esquema);
						if ($this->Porque_No_Antirretroviral->Exportable) $Doc->ExportField($this->Porque_No_Antirretroviral);
						if ($this->Porque_no_adherente->Exportable) $Doc->ExportField($this->Porque_no_adherente);
						if ($this->Valor_ultima_cargaviral->Exportable) $Doc->ExportField($this->Valor_ultima_cargaviral);
						if ($this->Fecha_Ultima_Cargaviral->Exportable) $Doc->ExportField($this->Fecha_Ultima_Cargaviral);
						if ($this->Estado_Final->Exportable) $Doc->ExportField($this->Estado_Final);
						if ($this->Cambio_Municipio->Exportable) $Doc->ExportField($this->Cambio_Municipio);
						if ($this->Observaciones->Exportable) $Doc->ExportField($this->Observaciones);
						if ($this->Primer_Nombre->Exportable) $Doc->ExportField($this->Primer_Nombre);
						if ($this->Segundo_Nombre->Exportable) $Doc->ExportField($this->Segundo_Nombre);
						if ($this->Primer_Apellido->Exportable) $Doc->ExportField($this->Primer_Apellido);
						if ($this->Segundo_Apellido->Exportable) $Doc->ExportField($this->Segundo_Apellido);
						if ($this->Registrado_Por->Exportable) $Doc->ExportField($this->Registrado_Por);
						if ($this->Documento->Exportable) $Doc->ExportField($this->Documento);
						if ($this->Fecha_dig->Exportable) $Doc->ExportField($this->Fecha_dig);
					} else {
						if ($this->Id->Exportable) $Doc->ExportField($this->Id);
						if ($this->Id_Registro->Exportable) $Doc->ExportField($this->Id_Registro);
						if ($this->Codigo_Eps->Exportable) $Doc->ExportField($this->Codigo_Eps);
						if ($this->Tipo_regimen->Exportable) $Doc->ExportField($this->Tipo_regimen);
						if ($this->Codigo_Ips->Exportable) $Doc->ExportField($this->Codigo_Ips);
						if ($this->Fecha_Confirmatorio->Exportable) $Doc->ExportField($this->Fecha_Confirmatorio);
						if ($this->Escolaridad->Exportable) $Doc->ExportField($this->Escolaridad);
						if ($this->Estado_Civil->Exportable) $Doc->ExportField($this->Estado_Civil);
						if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportField($this->Fecha_Nacimiento);
						if ($this->Estadio->Exportable) $Doc->ExportField($this->Estadio);
						if ($this->Numero_Carga_Viral->Exportable) $Doc->ExportField($this->Numero_Carga_Viral);
						if ($this->Fecha_Primera_Carga_Viral->Exportable) $Doc->ExportField($this->Fecha_Primera_Carga_Viral);
						if ($this->CD4->Exportable) $Doc->ExportField($this->CD4);
						if ($this->Fecha_CD4->Exportable) $Doc->ExportField($this->Fecha_CD4);
						if ($this->adherencia->Exportable) $Doc->ExportField($this->adherencia);
						if ($this->Tratamiento_Antirretroviral->Exportable) $Doc->ExportField($this->Tratamiento_Antirretroviral);
						if ($this->Descripcion_antirretroviral->Exportable) $Doc->ExportField($this->Descripcion_antirretroviral);
						if ($this->Cambio_Esquema->Exportable) $Doc->ExportField($this->Cambio_Esquema);
						if ($this->Porque_No_Antirretroviral->Exportable) $Doc->ExportField($this->Porque_No_Antirretroviral);
						if ($this->Porque_no_adherente->Exportable) $Doc->ExportField($this->Porque_no_adherente);
						if ($this->Valor_ultima_cargaviral->Exportable) $Doc->ExportField($this->Valor_ultima_cargaviral);
						if ($this->Fecha_Ultima_Cargaviral->Exportable) $Doc->ExportField($this->Fecha_Ultima_Cargaviral);
						if ($this->Estado_Final->Exportable) $Doc->ExportField($this->Estado_Final);
						if ($this->Cambio_Municipio->Exportable) $Doc->ExportField($this->Cambio_Municipio);
						if ($this->Observaciones->Exportable) $Doc->ExportField($this->Observaciones);
						if ($this->Primer_Nombre->Exportable) $Doc->ExportField($this->Primer_Nombre);
						if ($this->Segundo_Nombre->Exportable) $Doc->ExportField($this->Segundo_Nombre);
						if ($this->Primer_Apellido->Exportable) $Doc->ExportField($this->Primer_Apellido);
						if ($this->Segundo_Apellido->Exportable) $Doc->ExportField($this->Segundo_Apellido);
						if ($this->Registrado_Por->Exportable) $Doc->ExportField($this->Registrado_Por);
						if ($this->Documento->Exportable) $Doc->ExportField($this->Documento);
						if ($this->Fecha_dig->Exportable) $Doc->ExportField($this->Fecha_dig);
					}
					$Doc->EndExportRow();
				}
			}

			// Call Row Export server event
			if ($Doc->ExportCustom)
				$this->Row_Export($Recordset->fields);
			$Recordset->MoveNext();
		}
		if (!$Doc->ExportCustom) {
			$Doc->ExportTableFooter();
		}
	}

	// Add master User ID filter
	function AddMasterUserIDFilter($sFilter, $sCurrentMasterTable) {
		$sFilterWrk = $sFilter;
		if ($sCurrentMasterTable == "registro") {
			$sFilterWrk = $GLOBALS["registro"]->AddUserIDFilter($sFilterWrk);
		}
		return $sFilterWrk;
	}

	// Add detail User ID filter
	function AddDetailUserIDFilter($sFilter, $sCurrentMasterTable) {
		$sFilterWrk = $sFilter;
		if ($sCurrentMasterTable == "registro") {
			$mastertable = $GLOBALS["registro"];
			if (!$mastertable->UserIDAllow()) {
				$sSubqueryWrk = $mastertable->GetUserIDSubquery($this->Id_Registro, $mastertable->Consecutivo);
				ew_AddFilter($sFilterWrk, $sSubqueryWrk);
			}
		}
		return $sFilterWrk;
	}

	// Get auto fill value
	function GetAutoFill($id, $val) {
		$rsarr = array();
		$rowcnt = 0;

		// Output
		if (is_array($rsarr) && $rowcnt > 0) {
			$fldcnt = count($rsarr[0]);
			for ($i = 0; $i < $rowcnt; $i++) {
				for ($j = 0; $j < $fldcnt; $j++) {
					$str = strval($rsarr[$i][$j]);
					$str = ew_ConvertToUtf8($str);
					if (isset($post["keepCRLF"])) {
						$str = str_replace(array("\r", "\n"), array("\\r", "\\n"), $str);
					} else {
						$str = str_replace(array("\r", "\n"), array(" ", " "), $str);
					}
					$rsarr[$i][$j] = $str;
				}
			}
			return ew_ArrayToJson($rsarr);
		} else {
			return FALSE;
		}
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here                 
		// To cancel, set return value to FALSE
		// Agrega campos : ----- 
		// 2_Numero de identif...    (aca pones los otros)
		// Buscamos el registro de la tabla maestro (registro)

	  $Registro=$this->Id_Registro->CurrentValue; // consulta al formulario -- mas rapido

		// $victima=$rsnew['ID_Victima'];     consulta a la db   ---igual consulta usa mas recurso                                                          
		// Traemos los campos desde la tabla maestro (registro)

	  $consulta_Primernombre = "SELECT Primer_Nombre FROM registro WHERE Consecutivo=".$Registro;
	  $Primer_Nombre = ew_ExecuteScalar($consulta_Primernombre);    
	  $consulta_Segundonombre = "SELECT Segundo_Nombre FROM registro WHERE Consecutivo=".$Registro;
	  $Segundo_Nombre = ew_ExecuteScalar($consulta_Segundonombre);      
	  $consulta_Primerapellido = "SELECT Primer_Apellido FROM registro WHERE Consecutivo=".$Registro;
	  $Primer_Apellido = ew_ExecuteScalar($consulta_Primerapellido); 
	  $consulta_Segundoapellido = "SELECT Segundo_Apellido FROM registro WHERE Consecutivo=".$Registro;
	  $Segundo_Apellido = ew_ExecuteScalar($consulta_Segundoapellido);   
	  $consulta_Identificacion = "SELECT Numero_Identificacion FROM registro WHERE Consecutivo=".$Registro;
	  $Numero_Documento = ew_ExecuteScalar($consulta_Identificacion);   
	  $consulta_Fecha = "SELECT Fecha_Resultado_Confirmatorio FROM registro WHERE Consecutivo=".$Registro;
	  $Fecha_Confirmatorio = ew_ExecuteScalar( $consulta_Fecha);   
	  $consulta_Fechanacimiento = "SELECT Fecha_Nacimiento FROM registro WHERE Consecutivo=".$Registro;
	  $Fecha_Nacimiento = ew_ExecuteScalar( $consulta_Fechanacimiento);  

		// Llenamos los campos desde la tabla maestro (registro)     
	   $rsnew['Primer_Nombre'] = $Primer_Nombre;        
	   $rsnew['Segundo_Nombre'] = $Segundo_Nombre;     
	   $rsnew['Primer_Apellido'] =$Primer_Apellido; 
	   $rsnew['Segundo_Apellido'] =$Segundo_Apellido; 
	   $rsnew['Documento'] =$Numero_Documento; 
	   $rsnew['Fecha_Confirmatorio'] =$Fecha_Confirmatorio;       
	   $rsnew['Fecha_Nacimiento'] =$Fecha_Nacimiento; 

		// Cerramos la consulta de la db 
	   return TRUE;   
	}            

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Grid Inserting event
	function Grid_Inserting() {

		// Enter your code here
		// To reject grid insert, set return value to FALSE

		return TRUE;
	}

	// Grid Inserted event
	function Grid_Inserted($rsnew) {

		//echo "Grid Inserted";
	}

	// Grid Updating event
	function Grid_Updating($rsold) {

		// Enter your code here
		// To reject grid update, set return value to FALSE

		return TRUE;
	}

	// Grid Updated event
	function Grid_Updated($rsold, $rsnew) {

		//echo "Grid Updated";
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Lookup Selecting event
	function Lookup_Selecting($fld, &$filter) {

		//var_dump($fld->FldName, $fld->LookupFilters, $filter); // Uncomment to view the filter
		// Enter your code here

	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
